Actualizar contacto por ID
curl --request PATCH \
--url https://api.fint.app/api/v1/contact/:contactId \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"documentNumber": "<string>",
"country": "<string>",
"birthDate": "<string>",
"age": 123,
"phoneNumber": "<string>",
"mobileNumber": "<string>",
"reminderEnabled": true,
"metadata": {},
"activeStatusId": 123
}
'import requests
url = "https://api.fint.app/api/v1/contact/:contactId"
payload = {
"name": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"documentNumber": "<string>",
"country": "<string>",
"birthDate": "<string>",
"age": 123,
"phoneNumber": "<string>",
"mobileNumber": "<string>",
"reminderEnabled": True,
"metadata": {},
"activeStatusId": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
address: '<string>',
documentNumber: '<string>',
country: '<string>',
birthDate: '<string>',
age: 123,
phoneNumber: '<string>',
mobileNumber: '<string>',
reminderEnabled: true,
metadata: {},
activeStatusId: 123
})
};
fetch('https://api.fint.app/api/v1/contact/:contactId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Contact updated successfully"
}{
"message": "Contact not found"
}Contactos
Actualizar contacto por ID
Actualizar detalles de contacto por ID
PATCH
/
contact
/
:contactId
Actualizar contacto por ID
Authorizations
Path Parameters
Body
application/json
Available options:
DNI, CUIT, CUIL, CDI, LE, LC, CI Extranjera, Pasaporte, CI Policía Federal, Certificado de Migración, RUT, Otro Informacion adicional que luego se puede consumir y llegara en los webhooks
Show child attributes
Show child attributes
Id del estado activo del contacto, con esta opcion podemos activar/desactivar un contacto, los status por defecto son 1 activo y 2 inactivo, luego se pueden agregar mas estados customizables con otro nombre que representen esos estados.
Response
Contacto actualizado con éxito por ID
⌘I